error in loading rgdal package

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

error in loading rgdal package

lily li
Hi R users,

Could you help me to see this problem? I could now load "rgdal" even though
I downloaded the compressed folder. Thanks for your help.

Loading required package: sp
Error in dyn.load(file, DLLpath = DLLpath, ...) :
  unable to load shared object
'/Library/Frameworks/R.framework/Versions/3.3/Resources/library/rgdal/libs/rgdal.so':

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: error in loading rgdal package

Loris Bennett-2
Hi Lily,

lily li <[hidden email]> writes:

> Hi R users,
>
> Could you help me to see this problem? I could now load "rgdal" even though
> I downloaded the compressed folder. Thanks for your help.
>
> Loading required package: sp
> Error in dyn.load(file, DLLpath = DLLpath, ...) :
>   unable to load shared object
> '/Library/Frameworks/R.framework/Versions/3.3/Resources/library/rgdal/libs/rgdal.so':

Have you installed the GDAL library itself?  The R package rgdal needs
this.  See the "SystemRequirements" section on the CPAN page:

  https://CRAN.R-project.org/package=rgdal

Cheers,

Loris

--
Dr. Loris Bennett (Mr.)
ZEDAT, Freie Universit├Ąt Berlin         Email [hidden email]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: error in loading rgdal package

lily li
Hi Loris,
Thanks. I tried to update the R software and reinstalled the GDAL library.
It works now.


On Thu, Feb 15, 2018 at 11:49 PM, Loris Bennett <[hidden email]>
wrote:

> Hi Lily,
>
> lily li <[hidden email]> writes:
>
> > Hi R users,
> >
> > Could you help me to see this problem? I could now load "rgdal" even
> though
> > I downloaded the compressed folder. Thanks for your help.
> >
> > Loading required package: sp
> > Error in dyn.load(file, DLLpath = DLLpath, ...) :
> >   unable to load shared object
> > '/Library/Frameworks/R.framework/Versions/3.3/
> Resources/library/rgdal/libs/rgdal.so':
>
> Have you installed the GDAL library itself?  The R package rgdal needs
> this.  See the "SystemRequirements" section on the CPAN page:
>
>   https://CRAN.R-project.org/package=rgdal
>
> Cheers,
>
> Loris
>
> --
> Dr. Loris Bennett (Mr.)
> ZEDAT, Freie Universit├Ąt Berlin         Email [hidden email]
>
> ______________________________________________
> [hidden email] mailing list -- To UNSUBSCRIBE and more, see
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/
> posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list -- To UNSUBSCRIBE and more, see
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.